<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <title>Form work1</title>
  <script>
    /*
      Задание:
        Сделать валидацию формы:
        1. Логин / Пароль не может быть пустым
        2. Пароли должны совпадть
        3. Пока не стоит что юзер согласен с лиц. соглашением - кнопка отправки не активна

        + бонус - то поле, которое не прошло валидацию подсвечивать красным.
                - которое прошло - подсвечивать зеленым.
    */
    window.addEventListener("load", function () {
      var MyValidateForm = document.getElementById('MyValidateForm'),
          agree = MyValidateForm.agree
          btnSubmit = MyValidateForm.submit;

      MyValidateForm.addEventListener("submit", function (e) {
          e.preventDefault();
      });
      
      var fSendForm = function(){
        var myArrayCollection = Array.from(MyValidateForm.elements);

        myArrayCollection.forEach( function(item){
          item.classList.remove('error');
          item.classList.remove('ok');
          if( item.type == 'text' || item.type == 'password'){
            //empty field
            if(item.value !== ""){    
              //password 
              if(item.type === 'password' && MyValidateForm.pass.value !== MyValidateForm.passTwo.value){
                item.classList.add('error');
              } else {
                item.classList.add('ok');
              }
            } else {
              item.classList.add('error');
            }
          }           
        });
      };

      agree.addEventListener('click', function(){
        if(this.checked){
          activeForm()
        } else {
          disableForm()
        }
      })

      function activeForm(){
        btnSubmit.disabled = false;
        MyValidateForm.addEventListener("submit", fSendForm);
      }
      function disableForm(){
        btnSubmit.disabled = true;
        MyValidateForm.removeEventListener("submit", fSendForm);

      }
    });
  </script>
</head>
<body>

  <form id="MyValidateForm" >
    <input type="text" name="Login" placeholder="Ваш логин" />
    <input type="password" name="pass" placeholder="Ваш пароль" />
    <input type="password" name="passTwo" placeholder="Повторите пароль" />
    <label for="agree">
      <span>Вы согласны с лицензионым соглашением.</span>
      <input type="checkbox" id="agree" />
    </label>
    <input type="submit" name="submit" value="Отправить" disabled/>
  </form>

  <style>
    #MyValidateForm{
      width: 350px;
      display: flex;
      flex-direction: column;
    }

    #MyValidateForm input{
      margin-bottom: 10px;
      box-sizing: border-box;
      padding: 10px 20px;
    }
    .error{
      border: 1px solid red;
    }
    .ok{
      border: 1px solid green;
    }
  </style>
</body>
</html>
